# Interface methods for submodule: AntiAliasBinaryImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SparseFieldLevelSetImageFilterProxy as _SparseFieldLevelSetImageFilterProxy


# Interface methods for class: AntiAliasBinaryImageFilter
class AntiAliasBinaryImageFilterProxy(_SparseFieldLevelSetImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetUpperBinaryValue(self) -> float:
		""""""
		...

	def GetLowerBinaryValue(self) -> float:
		""""""
		...

	def SetMaximumIterations(self, i: int) -> None:
		""""""
		...

	def GetMaximumIterations(self) -> int:
		""""""
		...

